Bug 1840984 - [OCP 45] Need to re-frame compliance operator description which displays over the console
Summary: [OCP 45] Need to re-frame compliance operator description which displays over...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Compliance Operator
Version: 4.5
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: ---
: 4.6.0
Assignee: Jakub Hrozek
QA Contact: Prashant Dhamdhere
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-05-28 04:16 UTC by Prashant Dhamdhere
Modified: 2020-10-27 16:02 UTC (History)
3 users (show)

Fixed In Version: v0.1.10
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-10-27 16:01:53 UTC
Target Upstream Version:


Attachments (Terms of Use)
Compliance Operator description (215.56 KB, image/png)
2020-05-28 07:33 UTC, Prashant Dhamdhere
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2020:4196 0 None None None 2020-10-27 16:02:19 UTC

Description Prashant Dhamdhere 2020-05-28 04:16:09 UTC
Description of problem:

The following compliance operator description displays over the console after deploying it through OLM. Need to re-frame the description. 

$ grep -A3 "description: |" deploy/olm-catalog/compliance-operator/0.1.9/compliance-operator.v0.1.9.clusterserviceversion.yaml 
    description: | 
      An operator which runs OpenSCAP and allows you to check your cluster for security vulnerabilities and to keep your it compliant with the security benchmark you need.
                                                                                                            ^^^^^^^^^^^^^^^^^^^^^^^^^
Version-Release number of selected component (if applicable):
4.5.0-0.nightly-2020-05-27-010813 

How reproducible:
Always

Steps to Reproduce:

1.clone git repo  
$ git clone https://github.com/openshift/compliance-operator.git  
2.Login through kubeadmin user 
$ oc login -u kubeadmin -p <pw> 
3.Create project with 'openshift-compliance' name 
$ oc create namespace openshift-compliance 
4.Deploy compliance-operator from OLM 
$ oc create -f compliance-operator/deploy/olm-catalog/operator-source.yaml 
5.Login through the console using kubeadmin user 
6.Click on Operators --> OperatorHub and search for Compliance Operator 
7.Click on Compliance Operator to install and you can see Compliance Operator description infront of Operator Version 

Actual results:

The compliance operator description has "your" word and because of that, the description does not look appropriate

Expected results:

The compliance operator description should look appropriate

Additional info:

Comment 1 Prashant Dhamdhere 2020-05-28 07:33:56 UTC
Created attachment 1692940 [details]
Compliance Operator description

Comment 2 Jakub Hrozek 2020-07-14 15:18:54 UTC
This should be fixed with the 0.1.10 release that went out yesterday, could you please check if the text now looks good?

Comment 5 Prashant Dhamdhere 2020-07-15 16:26:45 UTC
The compliance operator description looks good now over OLM console but 
we still need to re-frame or correct it in clusterserviceversion.yaml file.

$ grep -A3 "description: |" compliance-operator/deploy/olm-catalog/compliance-operator/0.1.10/compliance-operator.v0.1.10.clusterserviceversion.yaml 
    description: |
      An operator which runs OpenSCAP and allows you to check your cluster for
      security vulnerabilities and to keep your it compliant with the
      security benchmark you need.    ^^^^^^^^^^^^^^^^^^^^^^
--
  description: |
    An operator which runs OpenSCAP and allows you to check your cluster for
    security vulnerabilities and to keep it compliant with the
    security benchmark you need.

Comment 6 Jakub Hrozek 2020-08-03 14:09:16 UTC
(In reply to Prashant Dhamdhere from comment #5)
> The compliance operator description looks good now over OLM console but 
> we still need to re-frame or correct it in clusterserviceversion.yaml file.
> 
> $ grep -A3 "description: |"
> compliance-operator/deploy/olm-catalog/compliance-operator/0.1.10/compliance-
> operator.v0.1.10.clusterserviceversion.yaml 
>     description: |
>       An operator which runs OpenSCAP and allows you to check your cluster
> for
>       security vulnerabilities and to keep your it compliant with the
>       security benchmark you need.    ^^^^^^^^^^^^^^^^^^^^^^
> --
>   description: |
>     An operator which runs OpenSCAP and allows you to check your cluster for
>     security vulnerabilities and to keep it compliant with the
>     security benchmark you need.

Thank you, I submitted another PR as https://github.com/openshift/compliance-operator/pull/383 but we won't be able to close the bug until the next release is cut.

Comment 9 Prashant Dhamdhere 2020-08-27 04:23:24 UTC
The compliance operator description looks good now at both the places.

Verified with compliance operator v0.1.13

$ grep "name:\|version" compliance-operator/deploy/olm-catalog/compliance-operator/0.1.13/compliance-operator.v0.1.13.clusterserviceversion.yaml |head -1
  name: compliance-operator.v0.1.13


$ grep -A3 "description: |" compliance-operator/deploy/olm-catalog/compliance-operator/0.1.13/compliance-operator.v0.1.13.clusterserviceversion.yaml 
    description: |
      An operator which runs OpenSCAP and allows you to check your cluster for
      security vulnerabilities and to keep it compliant with the
      security benchmark you need.
--
  description: |
    An operator which runs OpenSCAP and allows you to check your cluster for
    security vulnerabilities and to keep it compliant with the
    security benchmark you need.

Comment 11 errata-xmlrpc 2020-10-27 16:01:53 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (OpenShift Container Platform 4.6 GA Images), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:4196


Note You need to log in before you can comment on or make changes to this bug.